> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get notification preferences



## OpenAPI

````yaml api-reference/openapi.account.json GET /user/notification-preferences
openapi: 3.1.0
info:
  title: Aether Account & Integrations API
  version: 0.1.0
  description: >-
    Account, billing, and integration-management endpoints used by the Aether
    web app and CLI. Root-mounted; NOT part of the versioned /v1 contract.
servers:
  - url: https://api.runaether.dev
security:
  - bearerAuth: []
paths:
  /user/notification-preferences:
    get:
      tags:
        - notifications
      summary: Get notification preferences
      operationId: getNotificationPreferences
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationPreferencesResponse'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    NotificationPreferencesResponse:
      additionalProperties: false
      properties:
        preferences:
          items:
            $ref: '#/components/schemas/NotificationPreference'
          type: array
      required:
        - preferences
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
    NotificationPreference:
      additionalProperties: false
      properties:
        created_at:
          format: date-time
          type: string
        email_enabled:
          type: boolean
        notification_kind:
          enum:
            - question_requested
            - plan_requested
            - task_response_ready
            - task_failed
          type: string
        push_enabled:
          type: boolean
        slack_dm_enabled:
          type: boolean
        updated_at:
          format: date-time
          type: string
        user_id:
          minLength: 1
          type: string
      required:
        - user_id
        - notification_kind
        - email_enabled
        - slack_dm_enabled
        - push_enabled
        - created_at
        - updated_at
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````